package cn.com.poc.law.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateDownloadEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiLawyerWritingTemplateDownloadService extends BaseService {

    BizAiLawyerWritingTemplateDownloadEntity get(java.lang.Long id) throws Exception;

    List<BizAiLawyerWritingTemplateDownloadEntity> findByExample(BizAiLawyerWritingTemplateDownloadEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiLawyerWritingTemplateDownloadEntity save(BizAiLawyerWritingTemplateDownloadEntity entity) throws Exception;

    BizAiLawyerWritingTemplateDownloadEntity update(BizAiLawyerWritingTemplateDownloadEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}